// Ruedas adaptadas al brazo de los servos AMAX G5511AM

$fn=80;

radio_central=10;
radio_aro=56/2;
alto_aro=6;
grosor_radios=6.21;
grosor_aro=6.48;
diametro_goma=3.3;

radio_interior=radio_aro-alto_aro;
radio1=(radio_aro+radio_central)/2;
radio2=(radio_interior-radio_central)/2;

module r_l(){
cylinder(r=radio_central, h=grosor_radios);

difference(){translate([radio1-radio_central,0,0]) 
difference(){cylinder(r=radio1, h=grosor_radios);
translate([-radio1,0,0]) cube([2*radio1,radio1,grosor_radios]);}
translate([radio_central+radio2,0,0]) cylinder(r=radio2, h=grosor_radios);
}
}
module radios(){
r_l();
rotate([0,0,180]) r_l();
}


radio_centro=6.5;
radio_centro_m=6;
radio_extremo=3;
ancho_e=36;  // 39-3
distancia_tornillos=27;  /
diametro_tornillos=1.8;
diametro_eje=8.8;
module rebaje_servo(){
cylinder(r=radio_centro, h=3);
hull(){cylinder(r=radio_centro_m, h=3);
translate([-(ancho_e-radio_extremo)/2, 0,0])cylinder(r=radio_extremo, h=3);
translate([(ancho_e-radio_extremo)/2, 0,0])cylinder(r=radio_extremo, h=3);}

//Tornillos
union(){translate([-distancia_tornillos/2, 0,0])cylinder(r=diametro_tornillos/2, h=2*grosor_radios,center=true);translate([distancia_tornillos/2, 0,0])cylinder(r=diametro_tornillos/2, h=2*grosor_radios,center=true);}

cylinder(r=diametro_eje/2, h=2*grosor_radios,center=true);  //Hueco eje.
}

module rueda(){
difference(){
union(){
translate([0, 0,0]) difference(){
cylinder(r=radio_aro, h=grosor_aro);
cylinder(r=radio_interior, h=2*grosor_aro, center=true);}
radios();
}
//Surco llanta
translate([0, 0,grosor_aro/2]) rotate_extrude(convexity=10) translate([radio_aro,0,0]) rotate([90,0,0]) circle(r=diametro_goma/2,center=true);
//Rebaje enganche servo
rotate([0,0,-55]) translate([0, 0,grosor_radios-2.5]) rebaje_servo();


}

}
module conjunto(){
translate([radio_aro+1, 0,0])  rueda();
translate([-radio_aro-1, 0,0])  mirror() rueda();}

conjunto();

